#ifndef _STRUCT_XINE_INFO_
#define _STRUCT_XINE_INFO_

#include <pthread.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/keysym.h>
#include <X11/Xresource.h>

#include <xine.h>

struct xine_info{
	char *mrl;
	xine_t *xine;
	xine_audio_port_t *xine_audio;
	char *audio_driver;
	xine_video_port_t *xine_video;
	char *video_driver;
	xine_stream_t *xine_stream;      
	xine_stream_t *test_stream;
	xine_stream_t *video_stream;
	xine_stream_t *audio_stream;      
	xine_event_queue_t *xine_event_queue;      
	xine_event_t *new_event;      
	xine_post_t *post_plugin;      
	xine_health_check_t *xine_health;      
	int osd_enabled;	  
	int vis_enabled, vis_active;
	char *vis_name;
	int timeout;
	xine_osd_t *osd_info;
	int osd_info_visible;
	xine_osd_t *osd_bar[2];
	int osd_bar_visible; 
	xine_osd_t *osd_status;
	int osd_status_visible;
	int osd_timeout;
	pthread_t osd_timer_thread;     
	XSizeHints hint;
	x11_visual_t vis;
	float aspect_ratio;
	/*video_attr stores the x/y/w/h information for the vo callbacks*/
	int video_attr[6];
	int stream_w;
	int stream_h;
	int completion_event;
	bool fullscreen_mode;
	bool initialized;	
};

#endif



